List pre-construction information resources
curl --request GET \
--url https://api.ctrl-hub.com/v3/pre-construction-informations \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/pre-construction-informations"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/pre-construction-informations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ctrl-hub.com/v3/pre-construction-informations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Session-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ctrl-hub.com/v3/pre-construction-informations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Session-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ctrl-hub.com/v3/pre-construction-informations")
.header("X-Session-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ctrl-hub.com/v3/pre-construction-informations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Session-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "pre-construction-informations",
"attributes": {
"project_information": {
"description": "<string>",
"location": "<string>",
"planned_start_date": "2023-12-25",
"planned_end_date": "2023-12-25",
"existing_information": "<string>",
"client_requirements": "<string>"
},
"notifiability": {
"person_days": 1,
"working_days": 1,
"peak_workers": 1
},
"notifiability_result": {
"outcome": "notifiable",
"limb_one": {
"outcome": "notifiable",
"working_days": 123,
"peak_workers": 123,
"person_days": 123
},
"limb_two": {
"outcome": "notifiable",
"working_days": 123,
"peak_workers": 123,
"person_days": 123
}
},
"notification_due": true,
"f10_count": 123,
"duty_holders": {
"client": {
"name": "<string>",
"organisation": "<string>",
"phone": "<string>",
"email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"principal_designer": {
"name": "<string>",
"organisation": "<string>",
"phone": "<string>",
"email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"designers": [
{
"name": "<string>",
"organisation": "<string>",
"phone": "<string>",
"email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"planning_information": {
"existing_services": {
"relevant": true,
"comments": "<string>"
},
"ground_conditions": {
"relevant": true,
"comments": "<string>"
},
"contaminated_land": {
"relevant": true,
"comments": "<string>"
},
"asbestos": {
"relevant": true,
"comments": "<string>"
},
"existing_structures": {
"relevant": true,
"comments": "<string>"
},
"hazardous_materials": {
"relevant": true,
"comments": "<string>"
},
"adjacent_land_use": {
"relevant": true,
"comments": "<string>"
},
"access_and_traffic": {
"relevant": true,
"comments": "<string>"
},
"working_hours_restrictions": {
"relevant": true,
"comments": "<string>"
},
"security": {
"relevant": true,
"comments": "<string>"
},
"environmental_constraints": {
"relevant": true,
"comments": "<string>"
},
"unexploded_ordnance": {
"relevant": true,
"comments": "<string>"
}
},
"file_log": [
{
"title": "<string>",
"reference": "<string>",
"issued_on": "2023-12-25",
"notes": "<string>"
}
],
"hazard_sequence": 123,
"attestations": [
{
"section": "<string>",
"acting_role": "client_and_principal_designer",
"attested_at": "2023-11-07T05:31:56Z",
"attested_by_type": "users",
"attested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 123,
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"current_revision": 123,
"access": {
"acting_role": "client_and_principal_designer",
"writable_sections": [
"<string>"
],
"owned_sections": [
"<string>"
],
"can_hand_over": true,
"can_propose_changes": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"handed_over_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"scheme": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "schemes"
}
},
"principal_contractor": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"media_folder": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "folders"
}
}
}
}
],
"meta": {
"pagination": {
"counts": {
"pages": 1,
"resources": 1
},
"current_page": 1,
"offsets": {
"next": null,
"previous": null
},
"requested": {
"limit": 10,
"offset": 0
}
},
"features": {
"include": {
"options": [
"related.resource"
]
}
}
},
"jsonapi": {
"version": "1.0"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "schemes",
"attributes": {
"name": "<string>",
"status": "in_planning",
"code": "<string>",
"description": "<string>",
"dates": {
"anticipated": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
},
"labels": [
{
"key": "Your label key",
"value": "Your label value"
}
]
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"from_template": true,
"dates": {
"scheduled": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
},
"counts": {
"operations": 0,
"permits": 0,
"properties": 0,
"locations": 0,
"streets": 0,
"work_orders": 0
},
"completeness": {
"percentage": {
"completed": 0,
"aborted": 0,
"unknown": 100,
"cancelled": 0
},
"counts": {
"completed": 0,
"aborted": 0,
"unknown": 1,
"cancelled": 0
},
"statuses": {
"counts": {
"done": 0,
"in_progress": 0,
"todo": 0
},
"percentages": {
"done": 0,
"in_progress": 0,
"todo": 0
}
},
"done_reasons": {
"counts": {
"aborted": 0,
"cancelled": 0,
"completed": 0
},
"percentages": {
"aborted": 0,
"cancelled": 0,
"completed": 0
}
}
},
"is_default": false,
"imported_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"scheme_template": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "scheme-templates"
}
},
"work_orders": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "work-orders"
}
]
},
"template": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "scheme-templates"
}
},
"site_managers": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
]
},
"assignees": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
]
},
"teams": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "teams"
}
]
},
"folder": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "folders"
}
},
"contracts": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "scheme-contracts"
}
]
},
"locations": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "locations"
}
]
},
"created_by_user": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
},
"created_by_service_account": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "service-accounts"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Pre-Construction Information
List pre-construction information resources
List pre-construction information resources the caller can read.
GET
/
v3
/
pre-construction-informations
List pre-construction information resources
curl --request GET \
--url https://api.ctrl-hub.com/v3/pre-construction-informations \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/pre-construction-informations"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/pre-construction-informations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ctrl-hub.com/v3/pre-construction-informations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Session-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ctrl-hub.com/v3/pre-construction-informations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Session-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ctrl-hub.com/v3/pre-construction-informations")
.header("X-Session-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ctrl-hub.com/v3/pre-construction-informations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Session-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "pre-construction-informations",
"attributes": {
"project_information": {
"description": "<string>",
"location": "<string>",
"planned_start_date": "2023-12-25",
"planned_end_date": "2023-12-25",
"existing_information": "<string>",
"client_requirements": "<string>"
},
"notifiability": {
"person_days": 1,
"working_days": 1,
"peak_workers": 1
},
"notifiability_result": {
"outcome": "notifiable",
"limb_one": {
"outcome": "notifiable",
"working_days": 123,
"peak_workers": 123,
"person_days": 123
},
"limb_two": {
"outcome": "notifiable",
"working_days": 123,
"peak_workers": 123,
"person_days": 123
}
},
"notification_due": true,
"f10_count": 123,
"duty_holders": {
"client": {
"name": "<string>",
"organisation": "<string>",
"phone": "<string>",
"email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"principal_designer": {
"name": "<string>",
"organisation": "<string>",
"phone": "<string>",
"email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"designers": [
{
"name": "<string>",
"organisation": "<string>",
"phone": "<string>",
"email": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"planning_information": {
"existing_services": {
"relevant": true,
"comments": "<string>"
},
"ground_conditions": {
"relevant": true,
"comments": "<string>"
},
"contaminated_land": {
"relevant": true,
"comments": "<string>"
},
"asbestos": {
"relevant": true,
"comments": "<string>"
},
"existing_structures": {
"relevant": true,
"comments": "<string>"
},
"hazardous_materials": {
"relevant": true,
"comments": "<string>"
},
"adjacent_land_use": {
"relevant": true,
"comments": "<string>"
},
"access_and_traffic": {
"relevant": true,
"comments": "<string>"
},
"working_hours_restrictions": {
"relevant": true,
"comments": "<string>"
},
"security": {
"relevant": true,
"comments": "<string>"
},
"environmental_constraints": {
"relevant": true,
"comments": "<string>"
},
"unexploded_ordnance": {
"relevant": true,
"comments": "<string>"
}
},
"file_log": [
{
"title": "<string>",
"reference": "<string>",
"issued_on": "2023-12-25",
"notes": "<string>"
}
],
"hazard_sequence": 123,
"attestations": [
{
"section": "<string>",
"acting_role": "client_and_principal_designer",
"attested_at": "2023-11-07T05:31:56Z",
"attested_by_type": "users",
"attested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 123,
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"current_revision": 123,
"access": {
"acting_role": "client_and_principal_designer",
"writable_sections": [
"<string>"
],
"owned_sections": [
"<string>"
],
"can_hand_over": true,
"can_propose_changes": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"handed_over_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"scheme": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "schemes"
}
},
"principal_contractor": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"media_folder": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "folders"
}
}
}
}
],
"meta": {
"pagination": {
"counts": {
"pages": 1,
"resources": 1
},
"current_page": 1,
"offsets": {
"next": null,
"previous": null
},
"requested": {
"limit": 10,
"offset": 0
}
},
"features": {
"include": {
"options": [
"related.resource"
]
}
}
},
"jsonapi": {
"version": "1.0"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "schemes",
"attributes": {
"name": "<string>",
"status": "in_planning",
"code": "<string>",
"description": "<string>",
"dates": {
"anticipated": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
},
"labels": [
{
"key": "Your label key",
"value": "Your label value"
}
]
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"from_template": true,
"dates": {
"scheduled": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
},
"counts": {
"operations": 0,
"permits": 0,
"properties": 0,
"locations": 0,
"streets": 0,
"work_orders": 0
},
"completeness": {
"percentage": {
"completed": 0,
"aborted": 0,
"unknown": 100,
"cancelled": 0
},
"counts": {
"completed": 0,
"aborted": 0,
"unknown": 1,
"cancelled": 0
},
"statuses": {
"counts": {
"done": 0,
"in_progress": 0,
"todo": 0
},
"percentages": {
"done": 0,
"in_progress": 0,
"todo": 0
}
},
"done_reasons": {
"counts": {
"aborted": 0,
"cancelled": 0,
"completed": 0
},
"percentages": {
"aborted": 0,
"cancelled": 0,
"completed": 0
}
}
},
"is_default": false,
"imported_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"scheme_template": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "scheme-templates"
}
},
"work_orders": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "work-orders"
}
]
},
"template": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "scheme-templates"
}
},
"site_managers": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
]
},
"assignees": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
]
},
"teams": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "teams"
}
]
},
"folder": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "folders"
}
},
"contracts": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "scheme-contracts"
}
]
},
"locations": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "locations"
}
]
},
"created_by_user": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
},
"created_by_service_account": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "service-accounts"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Authorizations
SessionOAuth2Cookie
Session token for authentication.
Query Parameters
Limit the number of resources returned by the API
Required range:
x >= 1Offset the resources returned by the API
Required range:
x >= 0JSON:API pagination, as page[limit] and page[offset]. The same as the top-level limit and offset parameters; when both forms are sent, page[...] wins.
Show child attributes
Show child attributes
A comma separated list of related resources to include.
Available options:
scheme A comma separated list of fields to sort by.
Available options:
created_at, -created_at Response
A list of pre-construction information resources.